Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - python3-aur

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: python3-aur 2017.1-1

Git Clone URL: https://aur-dev.archlinux.org/python3-aur.git (read-only)
Package Base: python3-aur
Description: AUR-related modules and helper utilities (aurploader, aurquery, aurtomatic).
Upstream URL: http://xyne.archlinux.ca/projects/python3-aur
Keywords: arch_linux aur python
Licenses: GPL
Conflicts: aurploader
Provides: aurploader
Replaces: aurploader
Submitter: Xyne
Maintainer: Xyne
Last Packager: Xyne
Votes: 191
Popularity: 1.289055
First Submitted: 2011-07-04 03:22
Last Updated: 2017-01-07 09:59

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

ids1024 commented on 2015-10-11 17:11

I'm getting a crash trying to use AUR.PkgList:

>>> import AUR.PkgList
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "/usr/lib/python3.5/site-packages/AUR/PkgList.py", line 28, in <module>
from AUR.common import AUR_URL, RFC_2822_TIME_FORMAT, DEFAULT_TTL
ImportError: cannot import name 'RFC_2822_TIME_FORMAT

magus commented on 2015-10-09 07:48

Very nice Xyne! It all works beautifully again :)

Apes commented on 2015-10-06 21:33

The python3-xcpf dependency that was added today is not available on AUR or the base repos.

magus commented on 2015-10-05 06:42

I can add that I see the same thing as @skunktruder, but when using `pbget`.

skunktrader commented on 2015-10-03 23:27

Using this package with paconky

Traceback (most recent call last):
File "../conky/paconky.py", line 243, in main
aur_pkgs = aur.info(foreign.keys())
File "/usr/lib/python3.5/site-packages/AUR/RPC.py", line 818, in info
return self.get('info', args)
File "/usr/lib/python3.5/site-packages/AUR/RPC.py", line 710, in get
for pkg in self.aur_info(not_found):
File "/usr/lib/python3.5/site-packages/AUR/RPC.py", line 632, in aur_query
yield self.aur_format(pkg)
File "/usr/lib/python3.5/site-packages/AUR/RPC.py", line 566, in aur_format
pkg[key] = int(pkg[key])
TypeError: int() argument must be a string, a bytes-like object or a number, not 'NoneType'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "../conky/paconky.py", line 261, in <module>
main(sys.argv[1])
File "../conky/paconky.py", line 244, in main
except AUR.AURError as e:
AttributeError: module 'AUR' has no attribute 'AURError'

guotsuan commented on 2015-10-03 22:13

Run into an error because of this package in AUR

'License': ['BSD'], 'PackageBaseID': 80006, 'URLPath': '/cgit/aur.git/snapshot/abduco-git.tar.gz', 'URL': 'http://www.brain-dump.org/projects/abduco/', 'Version': '0.r74.28ef145-1', 'NumVotes': 4, 'Maintainer': 'aksr', 'MakeDepends': ['git'], 'ID': 216489, 'PackageBase': 'abduco-git', 'Name': 'abduco-git', 'Conflicts': ['abduco'], 'OutOfDate': None, 'CategoryID': 1, 'Description': 'A session management and attach/detach functionality (to use together with dvtm(1)).', 'LastModified': 1438265816, 'FirstSubmitted': 1394897829}

'OutofData' is supposed to be 'INTEGER', but got 'None' from AUR. It cause
the an exception.

Xyne commented on 2015-07-11 19:38

testing the new aurtomatic comment option

Xyne commented on 2015-07-11 19:15

With the move to SSH+Git for managing AUR packages, aurploader no longer works. I will likely not update it because it will just end up being a complicated wrapper around the underlying commands which will not fit everyone's workflow. It is probably best left to the user to create their own scripts and use "aurtomatic" for posting comments, setting notifications, etc. I will likely add an option to aurtomatic to support posting a comment non-interactively.

vadmium commented on 2015-06-01 23:39

Carl: see Xyne’s response further down the page at 2013-04-01 (which I tend to agree with). It makes it pretty obvious it’s not some old Python 2 package.

carlwgeorge commented on 2015-06-01 15:21

I'm curious, why is this package named "python3-aur" when most Arch packages that are Python 3 modules are just "python-${module}"?